/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

var SETTINGS = {
    maptileurls: {
        liberty: {
            url: "https://maps.netsyms.net/styles/osm-liberty/{z}/{x}/{y}.png",
            name: "Liberty",
            bgcolor: "#EFEFEF"
        },
        terrain: {
            url: "https://maps.netsyms.net/styles/klokantech-terrain/{z}/{x}/{y}.png",
            name: "Terrain",
            bgcolor: "#EDF5F3"
        },
        fiord: {
            url: "https://maps.netsyms.net/styles/fiord-color/{z}/{x}/{y}.png",
            name: "Dark Fiord",
            bgcolor: "#45516E"
        }
    },
    alertsounds: {
        coin: {
            name: "Coin",
            file: "alert.coin.mp3"
        },
        jump: {
            name: "Jump",
            file: "alert.jump.mp3"
        },
        robot: {
            name: "Robot",
            file: "alert.robot.mp3"
        },
        sonar: {
            name: "Sonar",
            file: "alert.sonar.mp3"
        }
    },
    itemtypes: {
        package: {
            id: "package",
            name: "Package",
            icon: "fas fa-box fa-fw",
            mapicon: "box",
            pluralmapicon: "boxes",
            selected: true
        },
        large: {
            id: "large",
            name: "Large Package",
            icon: "fas fa-pallet fa-fw",
            mapicon: "largebox",
            pluralmapicon: "largeboxes"
        },
        small: {
            id: "small",
            name: "Small Package",
            icon: "fas fa-envelope-square fa-fw",
            mapicon: "smallpackage",
            pluralmapicon: "smallpackages"
        },
        letter: {
            id: "letter",
            name: "Letter",
            icon: "fas fa-envelope fa-fw",
            mapicon: "envelope",
            pluralmapicon: "envelopes"
        },
        signature: {
            id: "signature",
            name: "Signature",
            icon: "fas fa-file-signature fa-fw",
            mapicon: "signature",
            pluralmapicon: "signatures"
        },
        express: {
            id: "express",
            name: "Express",
            icon: "fas fa-shipping-fast fa-fw",
            mapicon: "express",
            pluralmapicon: "multiple-items"
        }
    },
    weathericons: [
        "clear",
        "cloudy",
        "partly-cloudy",
        "rain",
        "snow",
        "windy",
        "none"
    ],
    geocodeapi: "https://apis.netsyms.net/packagehelper/geocode.php",
    trackingapi: "https://apis.netsyms.net/packagehelper/track.php",
    weatherapi: "https://apis.netsyms.net/packagehelper/weather.php",
    geoipapi: "https://apis.netsyms.net/packagehelper/geoip.php"
}
